%global momorel 1
%global type targeted
Summary: SELinux %{type} policy configuration
Name: selinux-policy-%{type}
Version: 1.19.4
Release: %{momorel}m
License: GPL
Group: System Environment/Base
URL: http://www.nsa.gov/selinux/
Source0: http://www.nsa.gov/selinux/archives/policy-%{version}.tgz
# NoSource: 0
Source1: booleans
Patch0: policy-%{type}.patch
Patch1: policy-20041122.patch
# momonga resources >= 1000
Source1000: policy-momonga.config
Patch1000: policy-1.19.4-urandom.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
BuildRequires: checkpolicy >= 1.16.3 m4 policycoreutils >= 1.17.2-1
BuildRequires: python
Requires: kernel >= 2.6.4-1.300 policycoreutils >= 1.17.2-1
Obsoletes: policy

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

This package contains the SELinux example policy configuration along
with the Flask configuration information and the application
configuration files.  

%prep
%setup -q -n policy-%{version}
# Change strict to targeted
%patch -p1
%patch1 -p1
mv domains/misc/*.te domains/misc/unused
mv domains/program/*.te domains/program/unused/
rm domains/*.te
%patch1000 -p1 -b .urandom
for i in \
    apache.te \
    dhcpd.te \
    mailman.te \
    mysqld.te \
    mta.te \
    named.te \
    nscd.te \
    ntpd.te \
    portmap.te \
    postgresql.te \
    snmpd.te \
    squid.te \
    syslogd.te \
    ypbind.te; do
  mv domains/program/unused/$i domains/program/
done
rm -rf domains/program/unused
rm -rf domains/misc/used
cp -R %{type}/* .
echo "define(\`targeted_policy')"  > tunables/tunable.tun
echo "define(\`hide_broken_symptoms')"  >> tunables/tunable.tun
%build
make policy

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/root
mkdir -p %{buildroot}%{_sysconfdir}/selinux/%{type}/contexts/users
mkdir -p %{buildroot}%{_sysconfdir}/selinux/%{type}/contexts/files
make DESTDIR="%{buildroot}" install
make clean
make DESTDIR="%{buildroot}" install-src
rm -rf "%{buildroot}%{_sysconfdir}/selinux/%{type}/src/policy/targeted"
rm -rf "%{buildroot}%{_sysconfdir}/selinux/%{type}/src/policy"/*.spec
install -m0600 %{SOURCE1} %{buildroot}%{_sysconfdir}/selinux/%{type}/
touch %{buildroot}%{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
touch %{buildroot}%{_sysconfdir}/selinux/config
mkdir %{buildroot}%{_sysconfdir}/sysconfig/
ln -s '../selinux/config' %{buildroot}%{_sysconfdir}/sysconfig/selinux
install -m600 %{SOURCE1000} %{buildroot}%{_sysconfdir}/selinux/config.momonga

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/selinux
%ghost %config(noreplace) %{_sysconfdir}/selinux/config
%dir %{_sysconfdir}/selinux/%{type}
%dir %{_sysconfdir}/selinux/%{type}/policy
%dir %{_sysconfdir}/selinux/%{type}/contexts
%dir %{_sysconfdir}/selinux/%{type}/contexts/files
%dir %{_sysconfdir}/selinux/%{type}/contexts/users
%config %{_sysconfdir}/selinux/%{type}/booleans
%config(noreplace) %{_sysconfdir}/selinux/%{type}/policy/policy\.*
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/files/file_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/files/media
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/dbus_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_type
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/initrc_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/failsafe_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/removable_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/userhelper_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/users/root
%{_sysconfdir}/sysconfig/selinux
%{_sysconfdir}/selinux/config.momonga

%post
if [ ! -s %{_sysconfdir}/selinux/config ]; then
	%{__cp} -a %{_sysconfdir}/selinux/config.momonga %{_sysconfdir}/selinux/config
fi
/sbin/restorecon %{_sysconfdir}/selinux/config 2> /dev/null

if [ -x %{_sbindir}/selinuxenabled ] && %{_sbindir}/selinuxenabled && [ -e /selinux/policyvers ]; then
	. %{_sysconfdir}/selinux/config
	if [ "${SELINUXTYPE}" = "%{type}" ] \
	&& [ ! -e %{_sysconfdir}/selinux/%{type}/src/policy/Makefile ]; then
		%{_sbindir}/load_policy %{_sysconfdir}/selinux/%{type}/policy/policy.`cat /selinux/policyvers`
	fi
fi
exit 0

%package sources
Summary: SELinux example policy configuration source files 
Group: System Environment/Base
Prefix: %{_sysconfdir}
Requires: m4 make checkpolicy >= 1.16.3 policycoreutils >= 1.17.2-1 kernel >= 2.6.4-1.300
Requires: selinux-policy-%{type} = %{version}-%{release}
Requires: python
BuildRequires: checkpolicy  >= 1.16.3 policycoreutils >= 1.17.2-1
Obsoletes: policy-sources

%description sources
This subpackage includes the source files used to build the policy
configuration.  Includes policy.conf and the Makefiles, macros and
source files for it.

%files sources
%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/selinux/%{type}/src/policy/users
%dir %{_sysconfdir}/selinux/%{type}/src/policy/tunables
%config %{_sysconfdir}/selinux/%{type}/src/policy/tunables/*.tun
%dir %{_sysconfdir}/selinux/%{type}/src
%dir %{_sysconfdir}/selinux/%{type}/src/policy
%{_sysconfdir}/selinux/%{type}/src/policy/ChangeLog
%{_sysconfdir}/selinux/%{type}/src/policy/COPYING
%{_sysconfdir}/selinux/%{type}/src/policy/Makefile
%{_sysconfdir}/selinux/%{type}/src/policy/README
%{_sysconfdir}/selinux/%{type}/src/policy/VERSION
%dir %{_sysconfdir}/selinux/%{type}/src/policy/appconfig
%config %{_sysconfdir}/selinux/%{type}/src/policy/appconfig/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/assert.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/attrib.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/constraints
%dir %{_sysconfdir}/selinux/%{type}/src/policy/domains
%config %{_sysconfdir}/selinux/%{type}/src/policy/domains/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/flask
%config %{_sysconfdir}/selinux/%{type}/src/policy/flask/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/fs_use
%config %{_sysconfdir}/selinux/%{type}/src/policy/genfs_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/initial_sid_contexts
%dir %{_sysconfdir}/selinux/%{type}/src/policy/macros
%config %{_sysconfdir}/selinux/%{type}/src/policy/macros/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/mls
%config %{_sysconfdir}/selinux/%{type}/src/policy/net_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/rbac
%config %{_sysconfdir}/selinux/%{type}/src/policy/serviceusers
%dir %{_sysconfdir}/selinux/%{type}/src/policy/types
%config %{_sysconfdir}/selinux/%{type}/src/policy/types/*
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/tmp

%post sources
if [ -x %{_sbindir}/selinuxenabled -a -f %{_sysconfdir}/selinux/config ]; then 
	. %{_sysconfdir}/selinux/config
	[ "${SELINUXTYPE}" = "%{type}" ] && %{_sbindir}/selinuxenabled && \
	   make -C %{_sysconfdir}/selinux/%{type}/src/policy load > /dev/null 2>&1
fi
exit 0

%changelog
* Mon Nov 29 2004 TAKAHASHI Tamotsu <tamo>
- (1.19.4-1m)
- allow syslogd_t and portmap_t to read /dev/urandom
- /etc/selinux/config.momonga: enforcing => permissive
- sync with Fedora 1.19.4-4
 (without ldconfig.te [added at 1.19-1-11])

+* Tue Nov 23 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-4
+- Add proc_net for unconfined_t
+
+* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-3
+- Fix location of selinuxenabled
+
+* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-2
+- Add some rules to allow httpd_sys_content_t to access to httpdcontent if httpd_unified is set
+
+* Sun Nov 21 2004 Dan Walsh <dwalsh@redhat.com> 1.19-4-1
+- Upgrade to match upstream
+- Require policycoreutils
+
+* Fri Nov 19 2004 Dan Walsh <dwalsh@redhat.com> 1.19-3-1
+- Upgrade to upstream
+- Add fixes for postgres and apache
+
+* Thu Nov 18 2004 Dan Walsh <dwalsh@redhat.com> 1.19-2-1
+- Upgrade to upstream
+
+* Wed Nov 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-13
+- don't transition from sysadm_t (unconfined_t) to system_mail_t when
+executing sendmail in targeted policy
+
+* Wed Nov 17 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-12
+- Fixes for crond fifo file, httpd_unified, and cups
+
+* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-11
+- Fixed for /dev/pmu and printconf
+- Add ldconfig.te
+
+* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-10
+- Add boolean to allow httpd to communicate with tty
+
+* Sat Nov 13 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-9
+- Minor fixes
+- Add postgresql.te to targeted
+
+* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-8
+- Fixes to tighten up squirrelmail
+
+* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-7
+- Fixes to get squirrelmail working in targeted policy
+
+* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-6
+- Remove unwanted te files to make policy smaller
+
+* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-5
+- Add allow_kerberos for targeted policy and fix ntpd for targetd
+
+* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-4
+- Fix mysql.te
+
+* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-3
+- Cleanup of Dovecot and squirrelmail
+
+* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.19-1-2
+- Allow httpd to read bin_t lnk_files
+
+* Tue Nov 09 2004 Dan Walsh <dwalsh@redhat.com> 1.19.1-1
+- Update to latest from upstream
+
+* Mon Nov 08 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-3
+- Complete lockdev and test with mincom
+
+* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-2
+- Add preliminary lockdev defs
+
+* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-1
+- Allow gpg to read/write user homedir files
+
+* Sat Nov 06 2004 Dan Walsh <dwalsh@redhat.com> 1.18.2-1
+- Merge with upstream
+- Allow users to read xdm pid files
+- Allow sysadm_t to communicate with xdm fifo file.
+
+* Thu Nov 04 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-3
+- ooffice is crashing because it needs to getattr on a dri device.
+
+* Wed Nov 02 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-2
+- Fix protection on booleans.
+- Add can_kerberos
+
+* Tue Nov 02 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-1
+- Update from NSA

* Sat Nov 20 2004 TAKAHASHI Tamotsu <tamo>
- (1.18-1m)
- import
